<?php

namespace Dalten\RuianToUir\Converter\Result;

readonly class ExplorerResult implements ResultInterface
{
    /**
     * @param string               $itemType typ záznamu (Explorer:*)
     * @param array<string, mixed> $data     data záznamu (struktura xml)
     */
    public function __construct(
        private string $itemType,
        private array $data)
    {
    }

    /**
     * @return array<string, mixed> data záznamu z XML
     */
    public function getData(): array
    {
        return $this->data;
    }

    public function getItemType(): string
    {
        return $this->itemType;
    }

    public function getIdentifier(): int
    {
        return 0;
    }
}
